We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 4712 - New thesaurus plugin: Tematres integration
New thesaurus plugin: Tematres integration
Status: NEW
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.x
PC Linux
: P2 enhancement
Assigned To: Alec Smecher
http://pkp.sfu.ca/support/forum/viewt...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-03 03:44 PDT by Marc Bria Ramirez
Modified: 2013-11-26 13:13 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Tarball of the plugin (114.83 KB, application/x-compressed)
2009-09-03 03:45 PDT, Marc Bria Ramirez
Details
Halfway-reviewed version of plugin (in progress by AS) (115.18 KB, application/x-gzip)
2013-09-09 16:56 PDT, Alec Smecher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Bria Ramirez 2009-09-03 03:44:26 PDT
New plug in that integrates OJS and tematres.

For a detailed description:
http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=4800

Plugin submitted to revision.
Comment 1 Marc Bria Ramirez 2009-09-03 03:45:12 PDT
Created attachment 2381 [details]
Tarball of the plugin
Comment 2 Alec Smecher 2010-07-21 10:33:36 PDT
Deferring -- needs review. (Marc, have you posted this on the Plugin Gallery available in the support forum?)
Comment 3 Marc Bria 2010-07-21 12:26:01 PDT
Hi Alec,

Yes I did:
http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=4800

Please, let us know if we need to make changes to fit with OJS standards.

Cheers,
m.
Comment 4 Alec Smecher 2010-07-21 12:59:16 PDT
Thanks, Marc. It looks great; we simply haven't had the chance to review it yet. It's not forgotten.
Comment 5 Alec Smecher 2013-05-29 16:06:36 PDT
I feel bad rediscovering this entry almost 4 years later :( Scheduling against 2.4.3 for review.
Comment 6 Marc Bria 2013-05-30 00:59:27 PDT
(In reply to comment #5)
> I feel bad rediscovering this entry almost 4 years later :( Scheduling
> against 2.4.3 for review.

Don't need to Alec. We are all overwhelmed and in confidence I'm happy to discover that you are also human. ;-D

Right I don't use the plugin and I didn't read about much people using it, so set a low priority please. 

I will post here if I update the code to 2.4.x branch.
Comment 7 Alec Smecher 2013-09-09 16:56:01 PDT
Created attachment 3957 [details]
Halfway-reviewed version of plugin (in progress by AS)

Marc, I'm *finally* reviewing this plugin. Some notes/questions:

- If we absorb this into our git repository, can we change the copyright to John Willinsky? We're trying to keep the code standardized under one copyright in case we e.g. create an official foundation for PKP.
- Is there a particular reason that this redistributes JQuery? (I suspect the answer is: because when it was written JQuery wasn't part of OJS yet.)
- Have you looked at the Tematres library for security? It seems to do a lot of string concatenation into HTML and I wonder if it's not open to XSS attacks. (Probably worth checking for updated versions/maintenance?)
Comment 8 Marc Bria 2013-09-10 03:09:16 PDT
> Marc, I'm *finally* reviewing this plugin. 
Don't worry.

> Some notes/questions:
> - If we absorb this into our git repository, can we change the copyright to John Willinsky? We're trying to keep the code standardized under one copyright in case we e.g. create an official foundation for PKP.

I understand, but it's ok if we share the authorship? 
If not, is it possible to add a "grettings" note to credit the work? ;-)

> - Is there a particular reason that this redistributes JQuery? (I suspect the
> answer is: because when it was written JQuery wasn't part of OJS yet.)

Yes, you are right. When I wrote this JQuery wasn't included in OJS. :-)
No need now.

> - Have you looked at the Tematres library for security? It seems to do a lot 
> of string concatenation into HTML and I wonder if it's not open to XSS 
> attacks. (Probably worth checking for updated versions/maintenance?)

I didn't check it. In confidence, it was a minor project and I wasn't much concerned about the security of the thesaurus DB.

BTW, Remember that the code need to be reviewed to be 2.4.x and/or 3.x compliant.

Let me know if you need help.
Comment 9 Alec Smecher 2013-09-10 09:50:10 PDT
Marc, I'd change the (c) to John Willinsky and include a "Written and contributed by xxxx" right below that -- whatever you'd prefer. Let me know if that's OK.
Comment 10 Marc Bria 2013-11-25 02:27:08 PST
It's ok for me. Close this issue as soon as you read me. :-)

BTW, where I can find those changes? 
I didn't find the thesaurus plugin in the OJS 3.x branch.
Comment 11 Alec Smecher 2013-11-26 13:13:16 PST
Sorry, Marc, but I'm going to defer this yet again :(

It sounds like you're not using this plugin yourself, and I'm not certain the state of the Tematres library is up to snuff without a much better look at it.